# Interface TaskResult

Detailed information about the result of running a task against a specific feature source.

interface TaskResult {
count: number;
failureReason?: Error | Cancellation;
source: FeatureSource;
time: number;
}

#####
Index

### Properties

count
failureReason?
source
time

##
Properties

### count

count: number

The number of features returned from this source.

### `Optional` failureReason

failureReason?: Error | Cancellation

Provides the reason why the task was unsuccessful for this source if the task could not be completed.

### source

source: FeatureSource

The input feature source.

### time

time: number

The amount of time (in milliseconds) until the first feature was returned from the source.